/*jshint eqnull:true */
/*!
 * jQuery Cookie Plugin v1.1
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2011, Klaus Hartl
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.opensource.org/licenses/GPL-2.0
 */
(function($, document) {

	var pluses = /\+/g;
	function raw(s) {
		return s;
	}
	function decoded(s) {
		return decodeURIComponent(s.replace(pluses, ' '));
	}

	$.cookie = function(key, value, options) {

		// key and at least value given, set cookie...
		if (arguments.length > 1 && (!/Object/.test(Object.prototype.toString.call(value)) || value == null)) {
			options = $.extend({}, $.cookie.defaults, options);

			if (value == null) {
				options.expires = -1;
			}

			if (typeof options.expires === 'number') {
				var days = options.expires, t = options.expires = new Date();
				t.setDate(t.getDate() + days);
			}

			value = String(value);

			return (document.cookie = [
				encodeURIComponent(key), '=', options.raw ? value : encodeURIComponent(value),
				options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
				options.path    ? '; path=' + options.path : '',
				options.domain  ? '; domain=' + options.domain : '',
				options.secure  ? '; secure' : ''
			].join(''));
		}

		// key and possibly options given, get cookie...
		options = value || $.cookie.defaults || {};
		var decode = options.raw ? raw : decoded;
		var cookies = document.cookie.split('; ');
		for (var i = 0, parts; (parts = cookies[i] && cookies[i].split('=')); i++) {
			if (decode(parts.shift()) === key) {
				return decode(parts.join('='));
			}
		}
		return null;
	};

	$.cookie.defaults = {};

})(jQuery, document);


////////////////////////////
// BEGIN JQUERY
/*
$(function () {

  if (location.href.indexOf('www.') > -1 || location.href.indexOf('secure.') > -1) {
    return;
  }

  // Hide count
  var hc = 10;

  // The body
  var $b = $('body');

  // Get cookie value
  var cookie = $.cookie('atrCookieAlert'),
		cookie = cookie ? cookie.split(',') : false;

  // Check if it has already been closed or if it has been seen 10 times
  if (cookie[0] != 'closed' && (cookie[1] <= hc || !cookie)) {

    // Build the pop down
    var $pop = $('<div id="cookie_popup"><p>This site uses cookies. By continuing to browse the site you are agreeing to our use of cookies. Find out more <a href="/article.aspx?hlid=cookie+information" class="more">here</a>.</p></div>'),
			$close = $('<a href="#" class="close">&#10005;</a>');

    // Build the close link
    $pop.children('p').append($close);

    $close.click(function (e) {

      // Set a cookie (oh the irony)
      $.cookie('atrCookieAlert', 'closed,0', {
        expires: 365,
        path: '/'
      });

      // Hide pop
      $pop.animate({
        top: 0 - $pop.outerHeight()
      }, function () {

        $pop.remove();

      });

      // Sort out the body padding
      $b.animate({
        paddingTop: 0
      });

      e.preventDefault();

    });

    // Add it in
    $b.append($pop);

    // Give it some space
    $b.css({
      paddingTop: $pop.outerHeight() + 20
    });

  }

  // Incriment the counter
  if ((cookie[1] <= hc || !cookie) && cookie[0] != 'closed') {

    var cValue = cookie ? cookie[0] + ',' + (parseInt(cookie[1]) + 1) : 'open,0';

    $.cookie('atrCookieAlert', cValue, {
      expires: 365,
      path: '/'
    });

  }

  // Dev mode
  if (location.href.indexOf('local.') > -1) {

    $('#wrapper h1').click(function () {

      $.cookie('atrCookieAlert', null);

    });

  }

});
*/